Package be.fgov.ehealth.certra.core.v2

# Class CertificateEntityType

java.lang.Object
be.fgov.ehealth.certra.core.v2.CertificateEntityType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CertificateEntityType extends Object implements Serializable
Identification information of the entity to which a certificate is issued

Java class for CertificateEntityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateEntityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CertificateIdentifier" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateIdentifierType"/>
           </sequence>
           <attribute name="EntityType" type="{urn:be:fgov:ehealth:certra:core:v2}EntityType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateEntityType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateIdentifierType`
  `getCertificateIdentifier()`
  The identifier of this certificate.
  `EntityType`
  `getEntityType()`
  The type of entity for which this certificate was issued: certificates can be issued to persons or organizations
  `void`
  `setCertificateIdentifier(CertificateIdentifierType value)`
  Sets the value of the certificateIdentifier property.
  `void`
  `setEntityType(EntityType value)`
  Sets the value of the entityType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateEntityType

    public CertificateEntityType()

- ## Method Details

  - ### getCertificateIdentifier

    public CertificateIdentifierType getCertificateIdentifier()
    The identifier of this certificate. It contains details about the health care actor to which this certificate was issued and an optional Application ID if that actor has more than one eHealth certificate.
    Returns:
      possible object is `CertificateIdentifierType`

  - ### setCertificateIdentifier

    public void setCertificateIdentifier(CertificateIdentifierType value)
    Sets the value of the certificateIdentifier property.
    Parameters:
      `value` - allowed object is `CertificateIdentifierType`
    See Also:
      - `getCertificateIdentifier()`

  - ### getEntityType

    public EntityType getEntityType()
    The type of entity for which this certificate was issued: certificates can be issued to persons or organizations
    Returns:
      possible object is `EntityType`

  - ### setEntityType

    public void setEntityType(EntityType value)
    Sets the value of the entityType property.
    Parameters:
      `value` - allowed object is `EntityType`
    See Also:
      - `getEntityType()`